%global modulename fast-json-stable-stringify

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-fast-json-stable-stringify
Version:        2.0.0
Release:        1%{?dist}
Summary:        deterministic `JSON.stringify()` - a faster version of substack's json-stable-strigify without jsonify

License:        MIT
URL:            https://github.com/epoberezkin/fast-json-stable-stringify
Source0:        https://registry.npmjs.org/fast-json-stable-stringify/-/fast-json-stable-stringify-2.0.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch


Requires:       npmlib(%{modulename}) = %{version}

%description
deterministic `JSON.stringify()` - a faster version of substack's json-stable-strigify without jsonify

%package 2.0.0
Summary:        deterministic `JSON.stringify()` - a faster version of substack's json-stable-strigify without jsonify


%description 2.0.0
deterministic `JSON.stringify()` - a faster version of substack's json-stable-strigify without jsonify

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .eslintrc.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .npmignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr benchmark %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr example %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 2.0.0
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 2.0.0-1
- Package automatically generated by npm2srpm
